/*

  Opto Interrupter Sensor Module FC-03

  Parts required:
  - Arduino Board
  - Opto Interrupter Sensor Module FC-03

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 20 Dec 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

int Led = 13;                     // set Led to digital port 13
int buttonpin = 3;                // set buttonpin to digital port 3
int val;                          // set val variable

void setup()
{
  pinMode(Led, OUTPUT);           // set Led to OUTPUT
  pinMode(buttonpin, INPUT);      // set buttonpin to INPUT
}

void loop()
{
  val=digitalRead(buttonpin);     // read buttonpin and store in val
  if(val == HIGH)                 // if val = HIGH do
  {
    digitalWrite(Led,HIGH);       // set Led to HIGH
  }
  else
  {
    digitalWrite(Led,LOW);        // set Led to LOW
  }
}
